
varying vec3 reflected;

uniform mat4 InvCameraView;

void main() 
{
    gl_Position = ftransform();
    vec3 normal = normalize(gl_NormalMatrix * gl_Normal);
    vec4 pos = gl_ModelViewMatrix * gl_Vertex;
	
	gl_TexCoord[2] = gl_TextureMatrix[2] * gl_MultiTexCoord2;
	
	reflected = reflect(pos.xyz, normal);
	
	reflected = mat3(InvCameraView) * reflected;
	
}