@ECHO OFF
set sourceBin=..\GraphicsEngine\bin
set sourceInc=..\GraphicsEngine\include
set sourceLib=..\GraphicsEngine\lib

set destBin=.\bin
set destInc=.\include
set destLib=.\lib

ECHO.
ECHO /*** Deploy dependencies **************************************/
xcopy /Y %sourceBin%\FColladaD.dll %destBin%
xcopy /Y %sourceBin%\FCollada.dll %destBin%
xcopy /Y %sourceBin%\FreeImage.dll %destBin%
xcopy /Y %sourceBin%\glew32.dll %destBin%

ECHO.
ECHO /*** Deploy binaries ******************************************/
xcopy /Y %sourceBin%\GraphicsEngineD.dll %destBin%
xcopy /Y %sourceBin%\GraphicsEngine.dll %destBin%
xcopy /Y %sourceBin%\SceneGraphD.dll %destBin%
xcopy /Y %sourceBin%\SceneGraph.dll %destBin%
xcopy /Y %sourceBin%\PluginColladaD.dll %destBin%
xcopy /Y %sourceBin%\PluginCollada.dll %destBin%

ECHO.
ECHO /*** Deploy includes ******************************************/
del %destInc%\GraphicsEngine\*.h
del %destInc%\SceneGraph\*.h

xcopy /Y %sourceInc%\GraphicsEngineSdk.h %destInc%
xcopy /Y %sourceInc%\GraphicsEngine\*.h %destInc%\GraphicsEngine
xcopy /Y %sourceInc%\SceneGraphSdk.h %destInc%
xcopy /Y %sourceInc%\SceneGraph\*.h %destInc%\SceneGraph

ECHO.
ECHO /*** Deploy libraries *****************************************/
xcopy /Y %sourceLib%\GraphicsEngineD.lib %destLib%\GraphicsEngine
xcopy /Y %sourceLib%\GraphicsEngine.lib %destLib%\GraphicsEngine
xcopy /Y %sourceLib%\SceneGraphD.lib %destLib%\SceneGraph
xcopy /Y %sourceLib%\SceneGraph.lib %destLib%\SceneGraph

ECHO.
ECHO Deployment complete!
ECHO.
PAUSE

@ECHO ON